html {
  font-size:16px;
}

body {
  background-color: #ffffff;
  /* color:black; */
}

.wrapper {
  margin: 30px auto 150px auto;
  width: 95%;
  max-width: 1400px;
}

h1, h2, h3, h4, h5, h6 {
  font-weight: 400;
}

h5 { font-weight: 400; }
h6 { font-weight: 600; }

/* Hollow square */
h5::before,
h6::before {
  content: "\25FB\00a0";
}

/* Solid square */
h4::before,
h5::before,
h6::before {
  color:maroon;
  content: "\25FC\00a0\00a0";
}

p {
  line-height: 1.6rem;
}

hr {
  margin-top:1.7rem;
  margin-bottom:1.7rem;
}

a {
  color: navy;
  /* text-decoration: none; */
}

h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
  text-decoration: none;
}

.smaller {
  font-size: 0.75rem;
}

.bg-light-gray {
  background-color: #eeeeee;
}

.scrollable-menu {
  height: auto;
  max-height: 205px;
  overflow-x: hidden;
}

.form-control-border-color {
  border-color: #ced4da;
}

.flash_success_message {
  color: white;
  background-color: green;
}

.btn-white {
  background-color: #ffffff;
  border: 1px solid #bbbbbb;
}

.btn-white:hover {
  background-color: #eeeeee;
}

h2.page-title {
  padding-bottom: 1.3rem;
  border-bottom: 1px solid #aaaaaa;
  margin-bottom: 1.8rem;
}

.highlighted-text {
  background-color:yellow;
}

.striped-rows .row:nth-child(odd) {
  background-color:#eeeeee;
}

tr.clickable {
  cursor:pointer;
}

tr.clickable:hover {
  background-color:#dddddd;
}

.breadcrumb-item a {
  text-decoration:none;
}

/*
|
| Menu Bar
|
*/

.menubar {
  padding: 5px 10px;
  background-color: #ededed;
  color: #000000;
  -webkit-box-shadow: 0px 0px 5px 3px rgba(0, 0, 0, 0.5);
  box-shadow: 0px 0px 5px 3px rgba(0, 0, 0, 0.5);
}

.menubar a,
.menubar a:hover {
  color: #000000;
  text-decoration: none;
}

.menubar .fa-bars {
  font-size: 1.6rem;
  color:#000000;
}

.menubar a.menu-item {
  padding: 5px 8px 5px 8px;
}

.menubar a.menu-item:hover {
  background-color: #cccccc;
}

.menubar .logo {
  height:35px;
}

a.nav-link,
a.dropdown-item
{
  color:#000000 !important;
}

a.nav-link.active,
a.dropdown-item.active
{
  background-color:#eeeeee;
}

/*
|
| Form widths
|
*/

.form-max-width-narrow {
  max-width:400px;
}

.form-max-width-default {
  max-width:600px;
}

.form-max-width-wide {
  max-width:800px;
}

/*
|
| Buttons
|
*/

.button-submit-cancel-block {
  /* border-top:1px solid #dddddd; */
  /* margin-top:1.5rem; */
  /* padding-top:0.7rem; */
}

/*
|
| Form elements
|
*/

.large-checkbox {
  width:1.3rem;
  height:1.3rem;
}

.large-radio-button {
  width:1.1rem;
  height:1.1rem;
}


.label-suffix {
  font-size:0.875rem;
  color:#666666;
  margin-left:1.0rem;
}

/* 
|
| Cards
|
*/

.card .card-header {
  font-size:1.4rem;
  font-weight: 400;
  background-color:#efefef;
}

.card-header-bullet {
  color:maroon; /* overrode by next line */
  color:#444444;
  margin-right:5px;
  padding-top:5px;
  font-size:1.3rem;
}

/* 
|
| Dashboard links
|
*/

@supports ((display: -ms-grid) or (display: grid)) {
  .dashboard-links {
    display: -ms-grid;
    display: grid;
    grid-gap: 5px;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    padding-left: 0px;
  }
}

.dashboard-links a {
  font-size:1.0rem;
  background-color: #ffffff;
  padding:8px 12px 8px 8px;
}

.dashboard-links a:hover {
  background-color: #dedede;
}

.dashboard-link-icon {
  padding:0px 10px 0px 0px;
  width:30px;
  text-align: right;
}

.dashboard-link-title {
  color:navy;
}

.dashboard-link-text {
  color:#666666;
  font-size:13px;
  margin-top:3px;
  margin-bottom:3px;
  line-height:1.1rem;
}

.dashboard-links a.disabled     { background-color:#ffffff; }
.dashboard-link-icon.disabled   { color: #999999; }
.dashboard-link-title.disabled  { color: #999999; }

/*
|
| Media queries
|
*/

#debug-bootstrap-breakpoint {
  font-size:0.8rem;
  z-index: 9999;
  position:fixed;
  left:0px;
  bottom:0px;
  padding:1px 3px;
  background-color:white;
  border:1px solid black;
  border-radius:5px;
  display:none;
}

#debug-bootstrap-breakpoint::before { 
  content: 'XS'; 
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
  #debug-bootstrap-breakpoint { background-color:white; }
  #debug-bootstrap-breakpoint::before { content: 'SM'; }
}
 
/* Medium devices (tablets, 768px and up) The navbar toggle appears at this breakpoint */
@media (min-width: 768px) {  
  #debug-bootstrap-breakpoint { background-color:white; }
  #debug-bootstrap-breakpoint::before { content: 'MD'; }
  .pre-line-max-width { width:600px; }
}
 
/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) { 
  #debug-bootstrap-breakpoint { background-color:white; }
  #debug-bootstrap-breakpoint::before { content: 'LG'; }
}
 
/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {  
  #debug-bootstrap-breakpoint { background-color:white; }
  #debug-bootstrap-breakpoint::before { content: 'XL'; }
}


